Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1694639 - OCP 4 Cluster down after a new installation
Summary: OCP 4 Cluster down after a new installation
Keywords:
Status: CLOSED DUPLICATE of bug 1694642
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Erica von Buelow
QA Contact: Chuan Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-01 10:13 UTC by Jaspreet Kaur
Modified: 2019-04-04 19:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-04 19:30:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jaspreet Kaur 2019-04-01 10:13:14 UTC
Description of problem: When trying to access OCP 4 cluster after 1 or 2 days, the cluster is inaccessible. No external changes has been done so far.



When trying to access it from UI below error is seen :

error	"server_error"
error_description	"The authorization server encountered an unexpected condition that prevented it from fulfilling the request."
state	"66f46151"

And oc login shows as below :

oc login -u kubeadmin -p iGv7c-VbJRf-GTAYL-yysy7 --loglevel=10
I0401 15:39:13.545292    9475 loader.go:330] Config loaded from file /home/jkaur/Desktop/OCP4/beta3/auth/kubeconfig
I0401 15:39:13.546050    9475 round_trippers.go:299] curl -k -v -XHEAD  https://api.jkaurbeta.aws.cee.redhat.com:6443/
I0401 15:39:16.512123    9475 round_trippers.go:318] HEAD https://api.jkaurbeta.aws.cee.redhat.com:6443/ 403 Forbidden in 2966 milliseconds
I0401 15:39:16.512170    9475 round_trippers.go:324] Response Headers:
I0401 15:39:16.512184    9475 round_trippers.go:327]     Audit-Id: f3e029e4-b63a-4d11-9f8f-2e7bc2b78617
I0401 15:39:16.512198    9475 round_trippers.go:327]     Cache-Control: no-store
I0401 15:39:16.512210    9475 round_trippers.go:327]     Content-Type: application/json
I0401 15:39:16.512222    9475 round_trippers.go:327]     X-Content-Type-Options: nosniff
I0401 15:39:16.512235    9475 round_trippers.go:327]     Date: Mon, 01 Apr 2019 10:09:16 GMT
I0401 15:39:16.512247    9475 round_trippers.go:327]     Content-Length: 186
I0401 15:39:16.512625    9475 round_trippers.go:299] curl -k -v -XGET  -H "X-Csrf-Token: 1" https://api.jkaurbeta.aws.cee.redhat.com:6443/oauth/authorize?response_type=token&client_id=openshift-challenging-client
I0401 15:39:17.133337    9475 round_trippers.go:318] GET https://api.jkaurbeta.aws.cee.redhat.com:6443/oauth/authorize?response_type=token&client_id=openshift-challenging-client 403 Forbidden in 620 milliseconds
I0401 15:39:17.133410    9475 round_trippers.go:324] Response Headers:
I0401 15:39:17.133435    9475 round_trippers.go:327]     Audit-Id: 00af77e7-3b60-4937-af3c-172665655cc7
I0401 15:39:17.133458    9475 round_trippers.go:327]     Cache-Control: no-store
I0401 15:39:17.133479    9475 round_trippers.go:327]     Content-Type: application/json
I0401 15:39:17.133501    9475 round_trippers.go:327]     X-Content-Type-Options: nosniff
I0401 15:39:17.133522    9475 round_trippers.go:327]     Date: Mon, 01 Apr 2019 10:09:16 GMT
I0401 15:39:17.133543    9475 round_trippers.go:327]     Content-Length: 200
I0401 15:39:17.134150    9475 helpers.go:187] server response object: [{
  "metadata": {},
  "status": "Failure",
  "message": "Internal error occurred: unexpected response: 403",
  "reason": "InternalError",
  "details": {
    "causes": [
      {
        "message": "unexpected response: 403"
      }
    ]
  },
  "code": 500
}]
F0401 15:39:17.134242    9475 helpers.go:110] Error from server: Internal error occurred: unexpected response: 403



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: Cluster is inaccessible 


Expected results: Cluster should be accessible since no external changes has been done.


Additional info:

Comment 1 Erica von Buelow 2019-04-04 19:30:55 UTC
Looks like the same issue as 1694642. Closing as duplicate for now

*** This bug has been marked as a duplicate of bug 1694642 ***


Note You need to log in before you can comment on or make changes to this bug.